<?php
$titre_page = "Fermer le site";
require("./0admin_header.php");

// Si le fichier a les bonnes permissions on le modifie sinon on dit ce qu'il faut faire
if(file_exists("./0sys_config.php")) {
if(is_writable("./0sys_config.php") || $os_du_serveur == "windows") {
$handle = fopen("./0sys_config.php","r");
$configuration = fread($handle,filesize("./0sys_config.php"));
fclose($handle);

// Si c'était ouvert on ferme et on écrit la date
if($fermeture_du_site == "0") {
$nouvelle_configuration = str_replace("fermeture_du_site = \"0\"", "fermeture_du_site = \"1\"", $configuration);
$nouvelle_configuration = preg_replace("`heure_fermeture = \".*?\"`", "heure_fermeture = \"" . date("H:i") . "\"", $nouvelle_configuration);
$nouvelle_configuration = preg_replace("`date_fermeture = \".*?\"`", "date_fermeture = \"" . date("d/m/Y") . "\"", $nouvelle_configuration);
$handle = fopen("./0sys_config.php","w+");
fwrite($handle,$nouvelle_configuration);
echo "<h1>Opération éffectuée</h1>
<p>Votre site est maintenant temporairement fermé. Vous pouvez bien sûr encore accéder à la partie administration.</p>";
}

// Si c'était fermé on ouvre
if($fermeture_du_site == "1") {
$nouvelle_configuration = str_replace("fermeture_du_site = \"1\"", "fermeture_du_site = \"0\"", $configuration);
$handle = fopen("./0sys_config.php","w+");
fwrite($handle,$nouvelle_configuration);
echo "<h1>Opération éffectuée</h1>
<p>Votre site est maintenant ouvert. :o)</p>";
}
}

else echo "<h1>Permission refusée</h1>
<p><strong>ATTENTION !</strong> $nom_du_projet n'a pas les autorisations nécessaires à la de ce fichier. Pour résoudre ce problème changez, à l'aide d'un
client FTP, le <strong>chmod</strong> du fichier en 666 et réactualisez cette page.</p>

<p><strong>Note :</strong> Tous vos fichiers devraient déjà avoir un chmod 666. Si ce n'est pas le cas faites-le.</p>";
}
else echo "<h1>Erreur : fichier introuvable</h1>
<p>Le fichier de configuration semble introuvable. Si vous voyez quand même ce message d'erreur c'est qu'il se passe quelque chose d'extrêmement bizarre
sur votre site o_Ô
<br />
Merci de nous contacter immédiatement sur le forum Itseasy.</p>";
require("./0admin_footer.php");
?>
